A valid request URL is required to generate request examples{
"id": "<string>",
"object": "test_clock",
"status": "ready",
"frozen_time": 123,
"target_time": 123,
"failure": {
"code": "<string>",
"message": "<string>"
},
"created_at": 123,
"updated_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Retrieve a test clock
Retrieves an owned test clock. A clock owned by another account is returned as not found. Poll this operation after requesting an advance.
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "test_clock",
"status": "ready",
"frozen_time": 123,
"target_time": 123,
"failure": {
"code": "<string>",
"message": "<string>"
},
"created_at": 123,
"updated_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Connected Ionic account to operate when using an authorized platform credential. Omit when using the account's own credential.
Path Parameters
Test clock ID.
^tclk_[0-9A-Za-z]{14}$Response
The current test clock state.
Unique identifier for the test clock (tclk_…).
^tclk_[0-9A-Za-z]{14}$test_clock ready means all billing work through frozen_time committed.
advancing means ordered work remains before target_time.
failed means processing stopped at the last committed checkpoint.
ready, advancing, failed Last fully committed logical checkpoint.
Requested destination while advancing or failed.
Why an advancement stopped. Present on a test clock only while its status is failed.
Show child attributes
Show child attributes
Unix epoch seconds when the test clock was created.
Unix epoch seconds when the test clock was last updated.

